#search--2526 {
    fill: var(--color-accent);
}

#browser--2518 {
    fill: var(--color-accent);
}

#calendar--2500 {
    fill: var(--color-accent);
}

#edition--2532 {
    fill: var(--color-accent);
}

#news--2495 {
    fill: var(--color-accent);
}

#_526888960 {
    fill: var(--basic-color);
}

#_578672672 {
    fill: var(--color-accent);
}

#_524581296 {
    fill: var(--basic-color);
}

#_578672672 {
    fill: var(--color-accent);
}

#_245141816 {
    fill: var(--color-accent);
}

* {
    margin: 0;
    padding: 0;
    font-weight: normal;
    font-family: AzarMehr, serif;
    outline: none;
}

button:focus-visible,
textarea:focus-visible,
input:focus-visible {
    outline: 1px solid var(--outline-color);
}

* a {
    text-decoration: none;
    color: inherit;
    cursor: pointer;
}

* button {
    cursor: pointer;
}

* select:focus {
    border: 0;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

@font-face {
    font-family: 'AzarMehr';
    src: url('/font/AzarMehr-Bold.woff2') format('truetype');
}

@font-face {
    font-family: 'Negaar';
    src: url('/font/ANegaar.ttf') format('truetype');
}

@font-face {
    font-family: 'sorena';
    src: url('/font/Sorena-Pixel.ttf') format('truetype');
}

@font-face {
    font-family: 'doran';
    src: url('/font/Doran-Bold.ttf') format('truetype');
}

@font-face {
    font-family: 'PortadaARA';
    src: url('/font/PortadaARA-Bold.otf') format('truetype');
}

@font-face {
    font-family: 'Fedra';
    src: url('/font/Fedra.ttf') format('truetype');
}

input::-webkit-input-placeholder {
    color: var(--placeholder-color);
    font-family: var(--font), serif;
    opacity: 50%;
}

input::-moz-placeholder {
    color: var(--placeholder-color);
    font-family: var(--font), serif;
    opacity: 50%;
}

body {
    -webkit-tap-highlight-color: transparent;
    background-repeat: no-repeat;
    background-size: cover;
    background-color: var(--basic-color);
    box-sizing: border-box;
}

@media (min-width: 758px) {
    .over {
        background-color: #00000050;
        backdrop-filter: blur(0px);
        height: 100dvh;
    }

    .background-img {
        height: 100dvh;
        object-position: center;
    }

    .all-button {
        margin-bottom: 100px;
    }

    .all-show {
        padding: 50px 50px 0 50px;
    }
}

@media (max-width: 758px) {

    .background-img {
        height: 80dvh;
        object-position: bottom;
    }

    .over {
        height: 80dvh;
        background: var(--background-gradient);
    }

    .all-show {
        padding: 15px 15px 0 15px;
    }

}


.all {
    height: 100dvh;
    position: relative;
    width: 100%;
}

.logo {
    height: 30%;
    max-height: 100px
}

.background-img {
    position: absolute;
    top: 0;
    object-fit: cover;
    width: 100%;
    z-index: 1;
}

.over {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 2;
    padding: clamp(10px, 50%, 250px) 15px 15px 15px;
    gap: 15px;
    box-sizing: border-box;
}

.over h1 {
    font-family: var(--font), serif;
    padding-bottom: 15px;
    font-size: clamp(40px, 20vw, 100px);
    line-height: clamp(40px, 20vw, 100px);
    color: var(--color-accent);
    text-align: center;
}

.search-box {
    width: 100%;
    position: relative;
    display: flex;
    margin-left: auto;
    margin-right: auto;
    max-width: 600px;
    z-index: 15;
}

.search-input {
    color: var(--color-text);
    width: 100%;
    height: 15vw;
    max-height: 70px;
    box-sizing: border-box;
    background: var(--box-color);
    border-radius: 20px;
    filter: drop-shadow(#00000020 0 3px 0px);
    border: none;
    text-indent: clamp(10px, 6vw, 20px);
    font-size: clamp(10px, 6vw, 20px);
    line-height: clamp(10px, 6vw, 15px);
}

.search-icon {
    display: flex;
    align-items: center;
    justify-content: center;
    left: 0;
    position: absolute;
    background-color: #00000000;
    border: none;
    width: 15vw;
    height: 15vw;
    max-height: 70px;
    max-width: 70px;
    border-radius: 15px;
}

.search-icon svg {
    width: 6vw;
    height: 6vw;
    max-height: 30px;
    max-width: 30px;
}

.button-mini {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
    padding: 10px;
    border: none;
    height: 8vw;
    max-width: 150px;
    max-height: 40px;
    border-radius: 100px;
    color: var(--color-accent);
    box-sizing: border-box;
    background: var(--box-color);
    filter: drop-shadow(#00000020 0 3px 0px);
}

.button-mini span {
    font-weight: bold;
    font-size: clamp(10px, 5vw, 17px);
    line-height: clamp(10px, 5vw, 17px);
}

.button-mini svg {
    width: 4vw;
    height: 4vw;
    max-width: 20px;
    max-height: 20px;
}

.all-button {
    margin-left: auto;
    margin-right: auto;
    max-width: 600px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: right;
    gap: 10px;
    z-index: 15;
}

.button-med {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    padding: 0 15px;
    height: 12vw;
    max-height: 60px;
    border: none;
    border-radius: 15px;
    color: var(--color-accent);
    box-sizing: border-box;
    background: var(--box-color-trans);
    backdrop-filter: blur(15px);
    filter: drop-shadow(#00000020 0 3px 0px);
}

.button-med span {
    padding-top: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    font-size: clamp(10px, 5vw, 17px);
    line-height: clamp(10px, 5vw, 17px);
}

.button-med svg {
    width: 6vw;
    height: 6vw;
    max-width: 30px;
    max-height: 30px;
}

.all-show {
    position: fixed;
    box-sizing: border-box;
    top: 0;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}


/*اون دیالوگا که باز میشه*/
.overlay {
    position: fixed;
    inset: 0;
    background: #00000020;
    backdrop-filter: blur(3px);
    opacity: 0;
    pointer-events: none;
    transition: 0.3s;
    z-index: 11;
}

.overlay.active {
    opacity: 1;
    pointer-events: auto;
}

.sheet {
    position: fixed;
    transition: all 0.3s;
    touch-action: none;
    z-index: 12;
    opacity: 0;
    top: 50%;
    left: 50%;
    border-radius: 15px;
    background-color: var(--basic-color);
    transform: translate(-50%, -50%) scale(0.9);
    width: 90%;
    max-width: 400px;
    pointer-events: none;
    padding: 10px;
    box-shadow: #00000020 0 3px 0;
}

.sheet h2 {
    font-family: Negaar, serif;
    font-size: clamp(20px, 10vw, 40px);
    line-height: clamp(20px, 10vw, 40px);
    color: var(--color-accent);
    text-align: right;
    padding: 15px 15px 15px 0;
}


.sheet.active {
    pointer-events: auto;
    opacity: 1;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(1);
}

.content {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: clamp(5px, 3vw, 10px);
}

.content {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: clamp(5px, 3vw, 10px);
}

.button-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    padding: 15px;
    gap: clamp(5px, 3vw, 10px);
}

.open-link-bac {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 5px;
}

.open-link-bac p {
    color: var(--color-accent);
    font-size: clamp(10px, 4vw, 12px);
    line-height: clamp(10px, 4vw, 12px);
}

.open-link-box {
    background-color: var(--box-color-solid);
    border-radius: 15px;
    width: 100%;
    height: 15vw;
    max-height: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
}

.open-link-box svg {
    width: 6vw;
    height: 6vw;
    max-width: 30px;
    max-height: 30px;
}

.theme-set {
    background-color: var(--box-color-solid);
    border-radius: 10px;
    width: 100%;
    height: 40px;
    border: none;
    border: solid var(--outline-color) 2px;
}

.theme-set img {
    object-fit: cover;
    border-radius: 8px;
    height: 100%;
    width: 100%;
}

.theme-set.active {
    border: solid var(--color-accent) 2px;
}

.theme-set:hover {
    border: solid var(--placeholder-color) 2px;
}

.line {
    background-color: var(--outline-color);
    width: 100%;
    height: 3px;
}

.no-select {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;

    pointer-events: none;
    /* اگر بخوای کاملاً غیرقابل کلیک باشه */
}
